/* eslint-env node */
var path = require('path');

var LIB_DIR = path.resolve(__dirname, 'lib');
var SRC_DIR = path.resolve(__dirname, 'src');
var TESTS_DIR = path.resolve(__dirname, 'tests');

var EXAMPLE_DIR = path.resolve(__dirname, 'example');
var EXAMPLE_ASSETS_DIR = path.resolve(EXAMPLE_DIR, 'assets');

var LIBRARY_NAME = 'react-custom-popup';
var FILENAME_DIST = 'react-custom-popup.js';
var CSS_FILENAME_DIST = 'react-custom-popup.css';

module.exports = {
  LIB_DIR: LIB_DIR,
  SRC_DIR: SRC_DIR,
  LIBRARY_NAME: LIBRARY_NAME,
  FILENAME_DIST: FILENAME_DIST,
  EXAMPLE_DIR: EXAMPLE_DIR,
  EXAMPLE_ASSETS_DIR: EXAMPLE_ASSETS_DIR,
  CSS_FILENAME_DIST: CSS_FILENAME_DIST,
  TESTS_DIR: TESTS_DIR
};
