var path = require('path');

var webpack = require('webpack');

var defs = require('./package.defs.js');

var config = {
  devtool: 'source-map',
  entry: path.resolve(defs.EXAMPLE_DIR, 'example.js'),
  output: {
    path: defs.EXAMPLE_ASSETS_DIR,
    filename: 'example.js'
  },
  module: {
    loaders: [
      {
        test: /\.js?/,
        include: [defs.EXAMPLE_DIR, defs.SRC_DIR],
        loader: ['babel-loader']
      }
    ]
  }
};

module.exports = config;
